# eric4.QScintilla.SpellCheckingDialog

Module implementing the spell checking dialog.

### Global Attributes

None

### Classes

SpellCheckingDialog | Class implementing the spell checking dialog.

### Functions

None

## SpellCheckingDialog

Class implementing the spell checking dialog.

### Derived from

QDialog, Ui_SpellCheckingDialog

### Class Attributes

None

### Methods

SpellCheckingDialog | Constructor
__advance | Private method to advance to the next error.
__enableButtons | Private method to set the buttons enabled state.
on_addButton_clicked | Private slot to add the current word to the personal word list.
on_changeEdit_textChanged | Private method to handle a change of the replacement text.
on_ignoreAllButton_clicked | Private slot to always ignore the found error.
on_ignoreButton_clicked | Private slot to ignore the found error.
on_replaceAllButton_clicked | Private slot to replace the current word with the given replacement.
on_replaceButton_clicked | Private slot to replace the current word with the given replacement.
on_suggestionsList_currentTextChanged | Private method to handle the selection of a suggestion.

#### SpellCheckingDialog (Constructor)

SpellCheckingDialog(spellChecker, startPos, endPos, parent = None)

Constructor

#### SpellCheckingDialog.__advance

__advance()

Private method to advance to the next error.

#### SpellCheckingDialog.__enableButtons

__enableButtons(enable)

Private method to set the buttons enabled state.

#### SpellCheckingDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add the current word to the personal word list.

#### SpellCheckingDialog.on_changeEdit_textChanged

on_changeEdit_textChanged(text)

Private method to handle a change of the replacement text.

text
  contents of the line edit (QString)

#### SpellCheckingDialog.on_ignoreAllButton_clicked

on_ignoreAllButton_clicked()

Private slot to always ignore the found error.

#### SpellCheckingDialog.on_ignoreButton_clicked

on_ignoreButton_clicked()

Private slot to ignore the found error.

#### SpellCheckingDialog.on_replaceAllButton_clicked

on_replaceAllButton_clicked()

Private slot to replace the current word with the given replacement.

#### SpellCheckingDialog.on_replaceButton_clicked

on_replaceButton_clicked()

Private slot to replace the current word with the given replacement.

#### SpellCheckingDialog.on_suggestionsList_currentTextChanged

on_suggestionsList_currentTextChanged(currentText)

Private method to handle the selection of a suggestion.

currentText
  the currently selected text (QString)

Up